AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: GPL-3.0-only
AuthorName: devgianlu
AuthorEmail: altomanigianluca@gmail.com
AuthorWebSite: https://gianlu.xyz/
SourceCode: https://github.com/devgianlu/Aria2App
IssueTracker: https://github.com/devgianlu/Aria2App/issues
Translation: https://crowdin.com/project/aria2app
Changelog: https://github.com/devgianlu/Aria2App/blob/HEAD/CHANGELOG.md
Donate: https://gianlu.xyz/donate/
LiberapayID: '1381702'
Bitcoin: 18rrPNGgz8UkzUYgAnqVye83xEe5fB7XfY

AutoName: Aria2App

RepoType: git
Repo: https://github.com/devgianlu/Aria2App

Builds:
  - versionName: 4.0.2
    versionCode: 144
    commit: v4.0.2.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.0.3
    versionCode: 145
    commit: v4.0.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.0.4
    versionCode: 146
    commit: v4.0.4
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.0.5
    versionCode: 147
    commit: v4.0.5
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.1.0
    versionCode: 148
    commit: v4.1.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.1.1
    versionCode: 149
    commit: v4.1.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.2.0
    versionCode: 150
    commit: v4.2.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.2.1
    versionCode: 151
    commit: v4.2.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.2.2
    versionCode: 152
    commit: v4.2.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.2.3
    versionCode: 153
    commit: v4.2.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.2.4
    versionCode: 154
    commit: v4.2.4
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.2.5
    versionCode: 155
    commit: v4.2.5
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.0-beta1
    versionCode: 156
    commit: v4.3.0-beta1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.0-beta2
    versionCode: 157
    commit: v4.3.0-beta2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.0-beta3
    versionCode: 158
    commit: v4.3.0-beta3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.0
    versionCode: 159
    commit: v4.3.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.1
    versionCode: 160
    commit: v4.3.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.2
    versionCode: 161
    commit: v4.3.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.3
    versionCode: 162
    commit: v4.3.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.3.4
    versionCode: 163
    commit: v4.3.4
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.4.0
    versionCode: 164
    commit: v4.4.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.4.1
    versionCode: 165
    commit: v4.4.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.4.2
    versionCode: 166
    commit: v4.4.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 4.4.3
    versionCode: 167
    commit: v4.4.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.0.0-beta2
    versionCode: 169
    commit: v5.0.0-beta2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.0.0
    versionCode: 170
    commit: v5.0.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.0.1
    versionCode: 171
    commit: v5.0.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.0.2
    versionCode: 172
    commit: v5.0.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.0.3
    versionCode: 173
    commit: v5.0.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.0
    versionCode: 174
    commit: v5.1.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.1
    versionCode: 175
    commit: v5.1.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.2
    versionCode: 176
    commit: v5.1.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.3
    versionCode: 177
    commit: v5.1.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.5
    versionCode: 179
    commit: v5.1.5
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.6
    versionCode: 180
    commit: v5.1.6
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.7
    versionCode: 181
    commit: v5.1.7
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.1.8
    versionCode: 182
    commit: v5.1.8
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.2.0
    versionCode: 183
    commit: v5.2.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.2.3
    versionCode: 186
    commit: v5.2.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.2.4
    versionCode: 187
    commit: v5.2.4
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.3.0
    versionCode: 188
    commit: v5.3.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.3.2
    versionCode: 190
    commit: v5.3.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.4.0
    versionCode: 191
    commit: v5.4.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.4.1
    versionCode: 192
    commit: v5.4.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.4.2
    versionCode: 193
    commit: v5.4.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.4.3
    versionCode: 194
    commit: v5.4.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.4.4
    versionCode: 195
    commit: v5.4.4
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.4.5
    versionCode: 196
    commit: v5.4.5
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 5.6.6
    versionCode: 205
    commit: v5.6.6
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21

  - versionName: 5.7.0
    versionCode: 206
    commit: v5.7.0
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21

  - versionName: 5.7.1
    versionCode: 207
    commit: v5.7.1
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21

  - versionName: 5.7.2
    versionCode: 208
    commit: v5.7.2
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21

  - versionName: 5.7.3
    versionCode: 209
    commit: v5.7.3
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21b

  - versionName: 5.8.0
    versionCode: 210
    commit: v5.8.0
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.8.1
    versionCode: 211
    commit: v5.8.1
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.1
    versionCode: 213
    commit: v5.9.1
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.2
    versionCode: 214
    commit: v5.9.2
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.3
    versionCode: 215
    commit: v5.9.3
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.4
    versionCode: 216
    commit: v5.9.4
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.5
    versionCode: 217
    commit: v5.9.5
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.6
    versionCode: 218
    commit: v5.9.6
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.7
    versionCode: 219
    commit: 1e8667ba2d4844a35c7a537f4481771fb482398d
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.8
    versionCode: 220
    commit: 0173fe3b3ac4ba0da6bf3ebd776aee8e485905da
    timeout: 14400
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.9
    versionCode: 221
    commit: 743be366df73eb1687e7de7d745b39f56d9216b8
    timeout: 14400
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r21d

  - versionName: 5.9.11
    versionCode: 223
    commit: 50d1ff537dd29df3e76cc1cc5bf3b8282c65a0d1
    timeout: 14400
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r25

  - versionName: 5.9.12
    versionCode: 224
    commit: 9a9649575b0b2a491273c788449159c990a6736e
    timeout: 14400
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' -e '/io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle
    scandelete:
      - aria2lib/src/main/jniLibs
    ndk: r25

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 5.9.12
CurrentVersionCode: 224
